summaryrefslogtreecommitdiff
path: root/ssltools/easy-rsa/build-key
diff options
context:
space:
mode:
authorOthmar Gsenger <otti@anytun.org>2007-12-03 09:42:38 +0000
committerOthmar Gsenger <otti@anytun.org>2007-12-03 09:42:38 +0000
commit58ff485edbe4bb93ebc922d14df24247846132b6 (patch)
treee98c6412b149024b38550bf7d5dd1ed95e251351 /ssltools/easy-rsa/build-key
parentfixed doxygen bug (diff)
added ssl tools
Diffstat (limited to 'ssltools/easy-rsa/build-key')
-rwxr-xr-xssltools/easy-rsa/build-key20
1 files changed, 20 insertions, 0 deletions
diff --git a/ssltools/easy-rsa/build-key b/ssltools/easy-rsa/build-key
new file mode 100755
index 0000000..3159d2b
--- /dev/null
+++ b/ssltools/easy-rsa/build-key
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+#
+# Make a certificate/private key pair using a locally generated
+# root certificate.
+#
+
+if test $# -ne 1; then
+ echo "usage: build-key <name>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl req -days 3650 -nodes -new -keyout $1.key -out $1.csr -config $KEY_CONFIG && \
+ openssl ca -days 3650 -out $1.crt -in $1.csr -config $KEY_CONFIG && \
+ chmod 0600 $1.key
+else
+ echo you must define KEY_DIR
+fi